/* This demo shows the use of a setting slider sizes

   Written by Mark Overmars

   Date 29 Apr 1991
*/

#include "forms.h"

main()
{
  FL_FORM *form;
  FL_OBJECT *sl1, *sl2, *but, *obj;

  fl_init();
  form = fl_bgn_form(FL_UP_BOX,150.0,300.0);
  sl1 = fl_add_slider(FL_VERT_SLIDER,20.0,100.0,40.0,180.0,"X");
  sl2 = fl_add_slider(FL_VERT_SLIDER,90.0,100.0,40.0,180.0,"Y");
  but = fl_add_button(FL_NORMAL_BUTTON,40.0,15.0,70.0,30.0,"Exit");
  fl_end_form();

  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do
  {
    fl_set_slider_size(sl2,fl_get_slider_value(sl1));
    fl_set_slider_size(sl1,fl_get_slider_value(sl2));
    obj = fl_do_forms();
  }
  while (obj != but);
  fl_hide_form(form);
}

